Subject: bug#22188: 24.5; auth-source-search ignores netrc entries with port set

From: Ted Zlatanov <[email-masked]>
Date: Thu, 24 Dec 2015 16:02:00 -0500

On Thu, 24 Dec 2015 16:25:31 +0100 Lars Ingebrigtsen <[email-masked]> wrote: 

LI> Ted Zlatanov <[email-masked]> writes:
>> This will match any authentication port.  Simple, right?  But what if
>> there’s a SMTP server on port 433 of that machine that needs a different
>> password from the IMAP server?
>> 
>> machine YOURMACHINE login YOU password SMTPPASSWORD port 433
>> machine YOURMACHINE login YOU password GENERALPASSWORD
>> 
>> I hope that helps. Closing this as done, but please let me know if the
>> auth-source manual or docstrings need improvement.

LI> The return values are hopefully sorted by specificity, right?  So the
LI> first entry will be 433 if you specify :port "443" in the auth-source
LI> call?  (And :max 1 will just return that entry...)

They are in the order they're found, yes.

Ted